UpdateAlertTemplate
Update a message template name and content
PUT
/api/v1/alerting/templates/{templateId}Operation ID
UpdateAlertTemplateSince
1.0.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
templateIdStringRequiredTemplate identifier to update
Body Fields
nameStringNew template name
Example: Updated Template
contentStringNew template content
Example: # Updated: {{.AlertName}}
alarmTypeStringTemplate dataset type; omitted preserves the existing type; conversion between resource and event is forbidden
Example: event
Responses
200 OKChange History
View all change historyChange TimeChange SummaryAction
Change Time
AddedRequest body fields alarmTypeAddedResponse fields alarmTypeView API
